Debian Bug report logs - #391889
RM: odontolinux -- RoQA; RC-buggy, no users, maintainer MIA, abandoned upstream

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Amaya Rodrigo Sastre <amaya@debian.org>

Date: Mon, 17 Jul 2006 22:33:08 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gaetano Paolone (bigpaul) <bigpaul@debian.org>:
Bug#378634; Package odontolinux. Full text and rfc822 format available.

Acknowledgement sent to Amaya Rodrigo Sastre <amaya@debian.org>:
New Bug report received and forwarded. Copy sent to Gaetano Paolone (bigpaul) <bigpaul@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Amaya Rodrigo Sastre <amaya@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Stop prompting on stdout at install/upgrade/remove
Date: Tue, 18 Jul 2006 00:19:24 +0200
Package: odontolinux
Version: 0.6.1-7.2
Severity: serious

Use debconf instead:

Preparing to replace odontolinux 0.6.1-7.1 (using
.../odontolinux_0.6.1-7.2_all.deb) ...
Do you want to DESTROY the Odontolinux database [y/N] ? y
Destroying Odontolinux! database...
/var/lib/dpkg/info/odontolinux.prerm: line 13: psql: command not found
Database does not exist.
Deleting odontolinux user...
Unpacking replacement odontolinux ...

And also:

Setting up odontolinux (0.6.1-7.2) ...
/usr/share/odontolinux/makedb.sh: line 7: psql: command not found

Odontolinux! database does not exist. You can choose
to create it now, or you can do it lately
launching /usr/share/odontolinux/makedb.sh .
This script has to be launched by the potgres user.
Do you want to create the database now (y/N) ?


/usr/share/odontolinux/makedb.sh: line 24: createdb: command not found
Please read very carefully /usr/share/doc/odontolinux/README
before accessing Odontolinux! web pages...

And also:

Removing odontolinux ...
Do you want to DESTROY the Odontolinux database [y/N] ? y
Destroying Odontolinux! database...
/var/lib/dpkg/info/odontolinux.prerm: line 13: psql: command not found
Database does not exist.
Deleting odontolinux user...

As seen, the Depends are not right either:
/var/lib/dpkg/info/odontolinux.prerm: line 13: psql: command not found
/usr/share/odontolinux/makedb.sh: line 24: createdb: command not found







-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable'), (101, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-1-k7
Locale: LANG=en_IE.UTF-8, LC_CTYPE=en_IE.UTF-8 (charmap=UTF-8)

-- 
  ยท''`.          Policy is your friend. Trust the Policy.
 : :' :     Love the Policy. Obey the Policy. -- Lars Wirzenius
 `. `'           Proudly running unstable Debian GNU/Linux
   `-     www.amayita.com  www.malapecora.com  www.chicasduras.com



Information forwarded to debian-bugs-dist@lists.debian.org, Gaetano Paolone (bigpaul) <bigpaul@debian.org>:
Bug#378634; Package odontolinux. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <linux@codehelp.co.uk>:
Extra info received and forwarded to list. Copy sent to Gaetano Paolone (bigpaul) <bigpaul@debian.org>. Full text and rfc822 format available.

Message #10 received at 378634@bugs.debian.org (full text, mbox):

From: Neil Williams <linux@codehelp.co.uk>
To: 378634@bugs.debian.org
Subject: remove odontolinux?
Date: Wed, 09 Aug 2006 17:26:36 +0100
[Message part 1 (text/plain, inline)]
I tried to implement some fixes in this package but each one revealed
another, deeper, problem. I've tried to contact the maintainer without
success so far, so I'm posting to the bug report so that at least
someone else doesn't have to do the same.

I began wondering  about the future of odontolinux (if any) and whether
it is worth doing anything about the RC bug at all?

Upstream appears dead, there have only been NMU's as uploads for about 4
years and upgrading the package to php5, debhelper>=5 and debconf does
seem over the top for such a quiet package.

Should odontolinux just be removed from unstable and thence from testing?

Should the RC bug be downgraded and tagged wontfix?


-- 

Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gaetano Paolone (bigpaul) <bigpaul@debian.org>:
Bug#378634; Package odontolinux. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Gaetano Paolone (bigpaul) <bigpaul@debian.org>. Full text and rfc822 format available.

Message #15 received at 378634@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Neil Williams <linux@codehelp.co.uk>, 378634@bugs.debian.org
Subject: Re: Bug#378634: remove odontolinux?
Date: Wed, 9 Aug 2006 23:04:51 -0500
On Wed, Aug 09, 2006 at 05:26:36PM +0100, Neil Williams wrote:
> I tried to implement some fixes in this package but each one revealed
> another, deeper, problem. I've tried to contact the maintainer without
> success so far, so I'm posting to the bug report so that at least
> someone else doesn't have to do the same.

> I began wondering  about the future of odontolinux (if any) and whether
> it is worth doing anything about the RC bug at all?

> Upstream appears dead, there have only been NMU's as uploads for about 4
> years and upgrading the package to php5, debhelper>=5 and debconf does
> seem over the top for such a quiet package.

> Should odontolinux just be removed from unstable and thence from testing?

> Should the RC bug be downgraded and tagged wontfix?

No, it should not be downgraded.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Gaetano Paolone (bigpaul) <bigpaul@debian.org>:
Bug#378634; Package odontolinux. Full text and rfc822 format available.

Acknowledgement sent to invent@edena-fr.org:
Extra info received and forwarded to list. Copy sent to Gaetano Paolone (bigpaul) <bigpaul@debian.org>. Full text and rfc822 format available.

Message #20 received at 378634@bugs.debian.org (full text, mbox):

From: Khalid El Fathi <invent@edena-fr.org>
To: 378634@bugs.debian.org, control@bugs.debian.org
Subject: Re: Stop prompting on stdout at install/upgrade/remove
Date: Fri, 08 Sep 2006 21:53:37 +0200
[Message part 1 (text/plain, inline)]
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

tags 378634 patch
thanks

- --
  .''`.  Khalid El Fathi
 : :' :  invent@edena-fr.org
 `. `'   www.edena-fr.org
   `-    GPG: 1024D/5801E0DA
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFFAcpBAA9uiVgB4NoRAjztAJ9vhQJk5r38kYaqOrAQOb37LTaljwCgpUJg
uQLUK6/vUy2Q3gHcAa3aKAc=
=IlMQ
-----END PGP SIGNATURE-----
[control.diff (text/x-patch, inline)]
--- control.orig	2006-09-08 21:38:13.000000000 +0200
+++ control	2006-09-08 21:39:26.000000000 +0200
@@ -7,7 +7,7 @@
 
 Package: odontolinux
 Architecture: all
-Depends: php4, php4-pgsql
+Depends: php4, php4-pgsql, postgresql-client
 Suggests: postgresql-8.1 | postgresql-7.4
 Description: Dental office management software (PHP4 + PostgreSQL)
  Odontolinux! is a dental office management software. It is

Tags added: patch Request was from Khalid El Fathi <invent@edena-fr.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gaetano Paolone (bigpaul) <bigpaul@debian.org>:
Bug#378634; Package odontolinux. Full text and rfc822 format available.

Acknowledgement sent to Michael Ablassmeier <abi@grinser.de>:
Extra info received and forwarded to list. Copy sent to Gaetano Paolone (bigpaul) <bigpaul@debian.org>. Full text and rfc822 format available.

Message #27 received at 378634@bugs.debian.org (full text, mbox):

From: Michael Ablassmeier <abi@grinser.de>
To: 378634@bugs.debian.org
Subject: hm..
Date: Mon, 11 Sep 2006 11:15:06 +0200
hi,

even pulling in the postgresql-client build-dep does not help much (the
database handling is quite hacky, for example it always assumes postgres
to run on localhost etc. etc.). The package should be updated to use
something like `dbconfig-common' for setting up its database. 

bye,
    - michael



Tags removed: patch Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gaetano Paolone (bigpaul) <bigpaul@debian.org>:
Bug#378634; Package odontolinux. Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to Gaetano Paolone (bigpaul) <bigpaul@debian.org>. Full text and rfc822 format available.

Message #34 received at 378634@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: 378634@bugs.debian.org
Cc: debian-qa@lists.debian.org
Subject: Let's remove odontolinux
Date: Fri, 06 Oct 2006 16:15:13 +0200
[Message part 1 (text/plain, inline)]
Hello all,

> even pulling in the postgresql-client build-dep does not help much (the
> database handling is quite hacky, for example it always assumes postgres
> to run on localhost etc. etc.). The package should be updated to use
> something like `dbconfig-common' for setting up its database. 

odontolinux has this RC bug which requires quite some overhaul of the
packaging to be fixed. I think removal might be more worthwhile for the
following reasons:

* This RC bug, and another potential one reported by lintian;
* Last MU in 2002;
* Maintainer seems MIA and is upstream;
* Popcon: 1 install 0 votes;
* Upstream website is down.

Combined, I don't think fixing the RC bug(s) is worth the effort for the
package in its current state.

Any objections to removal?

Thijs
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gaetano Paolone (bigpaul) <bigpaul@debian.org>:
Bug#378634; Package odontolinux. Full text and rfc822 format available.

Acknowledgement sent to Michael Ablassmeier <abi@grinser.de>:
Extra info received and forwarded to list. Copy sent to Gaetano Paolone (bigpaul) <bigpaul@debian.org>. Full text and rfc822 format available.

Message #39 received at 378634@bugs.debian.org (full text, mbox):

From: Michael Ablassmeier <abi@grinser.de>
To: Thijs Kinkhorst <thijs@debian.org>
Cc: debian-qa@lists.debian.org, 378634@bugs.debian.org
Subject: Re: Let's remove odontolinux
Date: Fri, 6 Oct 2006 16:26:19 +0200
hi,

On Fri, Oct 06, 2006 at 04:15:13PM +0200, Thijs Kinkhorst wrote:
> Combined, I don't think fixing the RC bug(s) is worth the effort for the
> package in its current state.
> 
> Any objections to removal?

no, please go ahead.

bye,
    - michael



Information forwarded to debian-bugs-dist@lists.debian.org, Gaetano Paolone (bigpaul) <bigpaul@debian.org>:
Bug#378634; Package odontolinux. Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
Extra info received and forwarded to list. Copy sent to Gaetano Paolone (bigpaul) <bigpaul@debian.org>. Full text and rfc822 format available.

Message #44 received at 378634@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: Thijs Kinkhorst <thijs@debian.org>
Cc: 378634@bugs.debian.org, Debian Quality Assurance Team <debian-qa@lists.debian.org>
Subject: Re: Let's remove odontolinux
Date: Sun, 8 Oct 2006 10:04:27 +0200 (CEST)
On Fri, 6 Oct 2006, Thijs Kinkhorst wrote:

> Combined, I don't think fixing the RC bug(s) is worth the effort for the
> package in its current state.

Even as Debian-Med adictive person I would say:

  When you discover you are riding a dead horse,
  the best strategy is to dismount.

So lets remove it.  I'll drop the med-dent package from Debian-Med
that depends on OdontoLinux.

Kind regards

           Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Gaetano Paolone (bigpaul) <bigpaul@debian.org>:
Bug#378634; Package odontolinux. Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to Gaetano Paolone (bigpaul) <bigpaul@debian.org>. Full text and rfc822 format available.

Message #49 received at 378634@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: 378634@bugs.debian.org, control@bugs.debian.org
Cc: Debian Quality Assurance Team <debian-qa@lists.debian.org>
Subject: Re: Let's remove odontolinux
Date: Mon, 09 Oct 2006 10:48:48 +0200
[Message part 1 (text/plain, inline)]
clone 378634 -1
severity -1 normal
retitle -1 RM: odontolinux -- RoQA, RC-buggy, no users, maintainer MIA, dead upstream
reassign -1 ftp.debian.org
thanks

On Sun, 2006-10-08 at 10:04 +0200, Andreas Tille wrote:
> So lets remove it.  I'll drop the med-dent package from Debian-Med
> that depends on OdontoLinux.

Ok, filing removal request at ftp.debian.org.


Thijs
[signature.asc (application/pgp-signature, inline)]

Bug 378634 cloned as bug 391889. Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal' from `serious' Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `odontolinux' to `ftp.debian.org'. Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 378634 added: 391889 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 359542 added: 391889 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 270895 added: 391889 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 376256 added: 391889 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Amaya Rodrigo Sastre <amaya@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #72 received at 391889-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 391889-close@bugs.debian.org
Cc: odontolinux@packages.debian.org, odontolinux@packages.qa.debian.org
Subject: Bug#391889: fixed
Date: Mon, 25 Dec 2006 00:14:22 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

odontolinux |  0.6.1-7.2 | source, all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 391889@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 00:47:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 17:05:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.